Description: Right now the administrator role is all or nothing. On the other hand, project owners have no special 

system-wide power.

Ideally, we should move away from the monolithic "administrator" concept and have separate rights for:
* managing users (including creating new users, assigning rights and projects)
* managing projects (including creating new projects and assigning an owner that is not the user herself)
* changing settings such as email server config

This would make it possible to e.g. let an IT support person handle user management, without giving them 
wide open access to all.
Note that I mostly care about preventing "casual" unauthorized access: of course a determined person with 
user-mgmt rights could give themselves the right to access more projects (but that would be easy to detect 
from log files).

History
2011-02-02 08:42 pm - Andrea Campi
Note that it would be extremely useful to expose this to plugins.
For example, we use the timesheet plugin; I would like to let our HR see other people's timesheets without making them administrators.

2011-02-02 08:57 pm - Holger Just
- (deleted custom field) set to http://www.redmine.org/issues/4427

I proposed something like that some time ago on "Redmine's issue tracker":http://www.redmine.org/issues/4427. Unfortunately, to make it right, it 
means rewriting most of the permission system, as ChiliProject currently doesn't really support the concept of global rights. Such a rewrite is something 
which is planned nevertheless (see [[New Permissions]]), but it will take some time to be completed.

Although we have a plugin adding this developed at finnlabs, we don't think this is generic enough to be part of the core.

2011-02-03 12:57 am - Eric Davis
- Category set to Permissions

2011-12-18 07:40 pm - Holger Just
- Subject changed from Granular admin rigths to Granular admin rights
